## org.apache.fop.datatypes
Class TransformData

    java.lang.Object
      |
      +--org.apache.fop.datatypes.TransformData

public class TransformData
extends java.lang.Object

a TransformData quantity in XSL

Author:
  Keiron Liddle <keiron@aftexsw.com> modified Nov 14,2000 Mike Crowe <crowe@psilongbeach.com>

Constructor Summary
`TransformData(java.lang.String len)` set the TransformData given a particular String specifying TransformData and units

Method Summary
`protected void` `convert(java.lang.String len)` The following is taken from CR-SVG-20000802 7.6, Transform Attribute The value of the transform attribute is a , which is defined as a list of transform definitions, which are applied in the order provided.
`org.w3c.dom.svg.SVGAnimatedTransformList` `getTransform()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformData

    public TransformData(java.lang.String len)

  set the TransformData given a particular String specifying TransformData and units

Method Detail

### convert

    protected void convert(java.lang.String len)

  The following is taken from CR-SVG-20000802 7.6, Transform Attribute The value of the transform attribute is a , which is defined as a list of transform definitions, which are applied in the order provided. The individual transform definitions are separated by whitespace and/or a comma. The available types of transform definitions include: matrix( <c> <d> <e> <f>), which specifies a transformation in the form of a transformation matrix of six values. matrix(a,b,c,d,e,f) is equivalent to applying the transformation matrix [a b c d e f]. translate(<tx> [<ty>]), which specifies a translation by tx and ty. scale(<sx> [<sy>]), which specifies a scale operation by sx and sy. If <sy> is not provided, it is assumed to be equal to <sx>. rotate( [<cx> <cy>]), which specifies a rotation by degrees about a given point. If optional parameters <cx> and <cy> are not supplied, the rotate is about the origin of the current user coordinate system. The operation corresponds to the matrix [cos(a) sin(a) -sin(a) cos(a) 0 0]. If optional parameters <cx> and <cy> are supplied, the rotate is about the point (<cx>, <cy>). The operation represents the equivalent of the following specification: translate(<cx>, <cy>) rotate() translate(-<cx>, -<cy>). skewX(), which specifies a skew transformation along the x-axis. skewY(), which specifies a skew transformation along the y-axis.

### getTransform

    public org.w3c.dom.svg.SVGAnimatedTransformList getTransform()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.